
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// PhysicsEMPhotonStandard.hh
// 
// Assembling electromagnetic physics processes for photons.
// 
// The considered processes are G4PhotoElectricEffect, G4ComptonScattering
// and G4GammaConversion 
//
/////////////////////////////////////////////////////////////////////////


#ifndef PHYSICSEMPHOTONSTANDARD_HH
#define PHYSICSEMPHOTONSTANDARD_HH

#include "G4VPhysicsConstructor.hh"
#include "globals.hh"


// G4VPhysicsConstructor is the abstract base class for physics constructors:

class PhysicsEMPhotonStandard : public G4VPhysicsConstructor {

 public: 
   PhysicsEMPhotonStandard(const G4String& name = "Photon-Standard");
   virtual ~PhysicsEMPhotonStandard();
  
 

   // G4VPhysicsConstructor has two pure virtual methods which must be 
   // implemented by the user: ConstructParticle and ConstructProcess.
   // Since only physics processes are dealt with here, ConstructParticle
   // is irrelevant and performs no action. ConstructProcess is used to
   // instantiate all physics processes relevant for the considered particle
   // and type of interaction.
   void ConstructParticle() { };
   void ConstructProcess();
};

#endif // PHYSICSEMPHOTONSTANDARD_HH








