
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// PhysicsHIIonBinary.hh
// 
// Assembling hadronic inelastic physics processes for:
//      deuterons, tritons, alpha particles
// 
// The considered process is G4XXXInelasticProcess (XXX to be replaced by 
// the particular ion name), and the applied model is G4BinaryLightIonReaction
//
/////////////////////////////////////////////////////////////////////////

#ifndef PHYSICSHIIONBINARY_HH
#define PHYSICSHIIONBINARY_HH

#include "G4VPhysicsConstructor.hh"
#include "globals.hh" 


// G4VPhysicsConstructor is the abstract base class for physics constructors:

class PhysicsHIIonBinary : public G4VPhysicsConstructor {

 public:
   PhysicsHIIonBinary(const G4String& name = "Ion-Binary");
   virtual ~PhysicsHIIonBinary();

 

   // G4VPhysicsConstructor has two pure virtual methods which must be 
   // implemented by the user: ConstructParticle and ConstructProcess.
   // Since only physics processes are dealt with here, ConstructParticle
   // is irrelevant and performs no action. ConstructProcess is used to
   // instantiate all physics processes relevant for the considered particle
   // and type of interaction.
   void ConstructParticle() { };
   void ConstructProcess();
};

#endif 








