
/////////////////////////////////////////////////////////////////////////
// G4Tutorial:
//
// PhysicsEMHadronIonLowEnergy.hh
// 
// Assembling electromagnetic physics processes for:
//      ions and charged hadrons
// 
// The considered processes are G4MultipleScattering, G4hLowEnergyIonisation
//
/////////////////////////////////////////////////////////////////////////


#ifndef PHYSICSEMHADRONIONLOWENERGY_HH
#define PHYSICSEMHADRONIONLOWENERGY_HH 

#include "G4VPhysicsConstructor.hh"
#include "globals.hh"


// G4VPhysicsConstructor is the abstract base class for physics constructors:

class PhysicsEMHadronIonLowEnergy : public G4VPhysicsConstructor {

 public: 
   PhysicsEMHadronIonLowEnergy(const G4String& name = "HadronIon-LowEnergy");
   virtual ~PhysicsEMHadronIonLowEnergy();
  
 

   // G4VPhysicsConstructor has two pure virtual methods which must be 
   // implemented by the user: ConstructParticle and ConstructProcess.
   // Since only physics processes are dealt with here, ConstructParticle
   // is irrelevant and performs no action. ConstructProcess is used to
   // instantiate all physics processes relevant for the considered particle
   // and type of interaction.
   void ConstructParticle() { };
   void ConstructProcess();
};

#endif

